using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IRoleService
    {

        [OperationContract]
        Task<IEnumerable<RoleDto>> GetRolesAsync(FilterDto filterDto);
        [OperationContract]
        Task<RoleDto> GetRoleByIdAsync(int id);
        [OperationContract]
        Task CreateRoleAsync(RoleDto userDto);
        [OperationContract]
        Task UpdateRoleAsync(RoleDto userDto);
        [OperationContract]
        Task DeleteRoleAsync(int id);

    }

}
